Installing gtk2.10+?

Questions about applications and software
Forum rules
Before you post please read this

Installing gtk2.10+?

Postby nobitacu on Tue Mar 03, 2009 2:50 pm

I actually thought this would have already been installed by default on linux mint 6, however, when I'm trying to compile and install the new Aurora Gtk engine, the Terminal said....

checking for GTK... no
configure: error: GTK+-2.10 is required to compile aurora

Hmmm.... Could anyone help me as to how I can install the newest GTK2?

Thanks, still trying to figure everything out.
nobitacu
Level 1
Level 1
 
Posts: 12
Joined: Tue Mar 03, 2009 2:46 pm

Linux Mint is funded by ads and donations.
 

Re: Installing gtk2.10+?

Postby merlwiz79 on Tue Mar 03, 2009 6:46 pm

It is installed, but when compiling you need the -dev libraries.
User avatar
merlwiz79
Level 11
Level 11
 
Posts: 3637
Joined: Wed Apr 04, 2007 1:50 pm
Location: Here again :)

Re: Installing gtk2.10+?

Postby nobitacu on Tue Mar 03, 2009 10:14 pm

Hmmm, that's what I thought. Now just have to figure out how to install the dev library.
nobitacu
Level 1
Level 1
 
Posts: 12
Joined: Tue Mar 03, 2009 2:46 pm

Re: Installing gtk2.10+?

Postby merlwiz79 on Tue Mar 03, 2009 11:41 pm

nobitacu wrote:Hmmm, that's what I thought. Now just have to figure out how to install the dev library.

Code: Select all
apt install libglib2.0-dev
User avatar
merlwiz79
Level 11
Level 11
 
Posts: 3637
Joined: Wed Apr 04, 2007 1:50 pm
Location: Here again :)

Re: Installing gtk2.10+?

Postby nobitacu on Wed Mar 04, 2009 1:08 am

merlwiz79 wrote:
nobitacu wrote:Hmmm, that's what I thought. Now just have to figure out how to install the dev library.

Code: Select all
apt install libglib2.0-dev


Ah.... Thanks! ^^

I just installed Linux Mint 6 yesterday, and so far, it's been a lot of fun! Hopefully I'll slowly get better and better at it. :D
nobitacu
Level 1
Level 1
 
Posts: 12
Joined: Tue Mar 03, 2009 2:46 pm

Re: Installing gtk2.10+?

Postby nobitacu on Wed Mar 04, 2009 1:51 am

merlwiz79 wrote:It is installed, but when compiling you need the -dev libraries.


It still said the same thing... ^^"

But I think I might have figured it out. I found python-gtk2-dev in Synaptic, so I just installed that. We'll see what happens.
nobitacu
Level 1
Level 1
 
Posts: 12
Joined: Tue Mar 03, 2009 2:46 pm

Re: Installing gtk2.10+?

Postby nobitacu on Wed Mar 04, 2009 2:01 am

Yup, that was what I was missing. It all compiled fine and I got it installed. ^^
nobitacu
Level 1
Level 1
 
Posts: 12
Joined: Tue Mar 03, 2009 2:46 pm

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: dankini, Fox7799 and 18 guests